GLExtensions File Reference
`#include <osg/Export>`
`#include <osg/GLDefines>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <string>`
`#include <vector>`
`#include <map>`

Go to the source code of this file.

## Classes

class | osg::VertexAttribAlias
class | osg::GLExtensions

## Namespaces

namespace | osg

## Macros

#define | OSG_GLEXTENSIONS 1

## Functions

OSG_EXPORT float | osg::getGLVersionNumber ()
OSG_EXPORT bool | osg::isExtensionInExtensionString (const char *extension, const char *extensionString)
OSG_EXPORT bool | osg::isGLExtensionSupported (unsigned int contextID, const char *extension)
OSG_EXPORT bool | osg::isGLExtensionSupported (unsigned int contextID, const char *extension1, const char *extension2)
OSG_EXPORT bool | osg::isGLExtensionOrVersionSupported (unsigned int contextID, const char *extension, float requiredGlVersion)
OSG_EXPORT void * | osg::getGLExtensionFuncPtr (const char *funcName)
OSG_EXPORT void | osg::setGLExtensionDisableString (const std::string &disableString)
OSG_EXPORT std::string & | osg::getGLExtensionDisableString ()
void * | osg::getGLExtensionFuncPtr (const char *funcName, const char *fallbackFuncName)
void * | osg::getGLExtensionFuncPtr (const char *funcName1, const char *funcName2, const char *funcName3)
template<typename T, typename R>
bool | osg::convertPointer (T &dest, R src)
template<typename T, typename R>
T | osg::convertPointerType (R src)
template<typename T>
bool | osg::setGLExtensionFuncPtr (T &t, const char *str1, bool validContext=true)
template<typename T>
bool | osg::setGLExtensionFuncPtr (T &t, const char *str1, const char *str2, bool validContext=true)
template<typename T>
bool | osg::setGLExtensionFuncPtr (T &t, const char *str1, const char *str2, const char *str3, bool validContext=true)

## Macro Definition Documentation

## OSG_GLEXTENSIONS

#define OSG_GLEXTENSIONS 1